org.apache.uima.cas

## Class CASRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.uima.UIMARuntimeException
        - - org.apache.uima.cas.CASRuntimeException

- All Implemented Interfaces:
    Serializable, I18nExceptionI

      public class CASRuntimeException
      extends UIMARuntimeException

  Runtime exception class for package org.apache.uima.cas. Messages in org.apache.uima.UIMAException_Messages
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADD_ARRAY_TYPE_AFTER_TS_COMMITTED` Can''t add an array type "{0}" to the type system after the type system has been committed.
    `static String` | `ANNOTATION_IN_WRONG_INDEX` Error - the Annotation "{0}" is over view "{1}" and cannot be added to indexes associated with the different view "{2}".
    `static String` | `ANNOTATION_INDEX_REQUIRED` Index "{0}" must be an AnnotationIndex.
    `static String` | `BLOB_DESERIALIZATION` Error while deserializing binary CAS.
    `static String` | `BLOB_SERIALIZATION` Error trying to do binary serialization of CAS data and write the BLOB to an output stream.
    `static String` | `CANNOT_CLONE_SOFA` SofaFS may not be cloned.
    `static String` | `CAS_MISMATCH` Mismatched CAS "{0}".
    `static String` | `CAS_MISSING_FS` The CAS doesn't have a Feature Structure whose ID is {0}; it may have been garbage collected.
    `static String` | `CHILD_INDEX_OOB` Error accessing child node in tree, index out of range.
    `static String` | `CREATE_FS_BEFORE_TS_COMMITTED` Can''t create FS of type "{0}" until the type system has been committed.
    `static String` | `DELTA_CAS_PREEXISTING_FS_DISALLOWED` Received pre-existing FS "{0}".
    `static String` | `DEREF_FS_OTHER_CAS` Dereferencing a FeatureStructure of a CAS in a different CAS's context.
    `static String` | `DESER_FORM_6_BAD_TYPE_CODE` Deserializing Compressed Form 6, a type code: {0} has no corresponding type.
    `static String` | `deserialized_type_not_found` While deserializing, no type found for type code {0}.
    `static String` | `DESERIALIZING_BINARY_INVALID_HEADER` Deserializing Binary Header invalid
    `static String` | `DESERIALIZING_COMPRESSED_BINARY_UNSUPPORTED` Deserializing compressed binary other than form 4 not supported by this method
    `static String` | `DESERIALIZING_V2_DELTA_V3` Deserializing a Version 2 Delta Cas into UIMA Version 3 not supported.
    `static String` | `DISALLOW_CREATE_ANNOTATION_IN_BASE_CAS` The type "{0}", a subtype of AnnotationBase, can''t be created in the Base CAS.
    `static String` | `FS_NOT_MEMBER_OF_CAS` Feature Structure {0} belongs to CAS {1}, may not be set as the value of an array or list element in a different CAS {2}.
    `static String` | `GET_CLASS_FOR_TYPE_BEFORE_TS_COMMIT` Cannot request the Java Class for a UIMA type before type system commit
    `static String` | `ILLEGAL_ADD_TO_INDEX_IN_BASE_CAS` Illegal operation - cannot add Feature Structure {0} to base Cas {1}.
    `static String` | `ILLEGAL_ARRAY_SIZE` Array size must be >= 0.
    `static String` | `ILLEGAL_FEAT_SET` While FS was in the index, illegal attempt to modify Feature "{0}" which is used as a key in one or more indexes; FS = "{1}"
    `static String` | `ILLEGAL_SOFAREF_MODIFICATION` Sofa reference in AnnotationBase may not be modified
    `static String` | `ILLEGAL_STRING_VALUE` Error setting string value: string "{0}" is not valid for a value of type "{1}".
    `static String` | `ILLEGAL_TYPE_CHANGE` ll_setIntValue call to change the type: new type "{0}" must be a subtype of existing type {1}.
    `static String` | `ILLEGAL_TYPE_CHANGE_IN_INDEX` ll_setIntValue call to change the type, but the Feature Structure is in an index.
    `static String` | `INAPPROP_FEAT` Feature "{0}" is not defined for type "{1}".
    `static String` | `INAPPROP_FEAT_X` Feature is not defined for type.
    `static String` | `INAPPROP_RANGE` Trying to access value of feature "{0}" as "{1}", but range of feature is "{2}".
    `static String` | `INAPPROP_RANGE_NOT_FS` Wrong access method "getFeatureValue" for a feature "{0}" in a FeatureStructure with type "{1}" whose range is "{2}" which is not a featureStructure.
    `static String` | `INAPPROP_TYPE` Expected value of type "{0}", but found "{1}".
    `static String` | `INVALID_BASE_CAS_METHOD` Can''t call method "{0}" on the base CAS.
    `static String` | `INVALID_FEATURE_PATH` The feature path "{0}" is not valid.
    `static String` | `INVALID_FS_ID` The Feature Structure ID {0} is invalid.
    `static String` | `INVALID_MARKER` Invalid Marker.
    `static String` | `JCAS_ALPHA_LEVEL_NOT_SUPPORTED`
    `static String` | `JCAS_ARRAY_NOT_SUPPORTED` User-defined JCas classes for built-in Arrays not supported, class: {0}
    `static String` | `JCAS_CAS_MISMATCH` CAS type system doesn''t match JCas Type definition for type "{0}".
    `static String` | `JCAS_CAS_MISMATCH_SUPERTYPE` JCas Class's supertypes for "{0}", "{1}" and the corresponding UIMA Supertypes for "{2}", "{3}" don't have an intersection.
    `static String` | `JCAS_CAS_NOT_V3` JCas Class "{0}" is missing required constructor; likely cause is wrong version (UIMA version 3 or later JCas required).
    `static String` | `JCAS_FIELD_ADJ_OFFSET_CHANGED` In JCAS class "{0}", UIMA field "{1}" was set up at type system type adjusted offset "{2}" but a different type system being used with the same JCas class has this offset at "{3}", which is not allowed.
    `static String` | `JCAS_FIELD_MISSING_IN_TYPE_SYSTEM` JCAS class "{0}" defines a UIMA field "{1}" but the UIMA type doesn''t define that field.
    `static String` | `JCAS_GET_NTH_NEGATIVE_INDEX` JCas getNthElement method called with index "{0}" which is negative.
    `static String` | `JCAS_GET_NTH_ON_EMPTY_LIST` JCas getNthElement method called via invalid object - an empty list: {0}.
    `static String` | `JCAS_GET_NTH_PAST_END` JCas getNthElement method called with index "{0}" larger than the length of the list.
    `static String` | `JCAS_MAKING_ABSTRACT_INSTANCE` A CAS iterator or createFS call is trying to make an instance of type "{0}", but that type has been declared "abstract" in JCas, and no instances are allowed to be made.
    `static String` | `JCAS_MISMATCH_SUPERTYPE` The JCas class: "{0}" has supertypes: "{1}" which do not match the UIMA type "{2}"''s supertypes "{3}".
    `static String` | `JCAS_MISSING_COVERCLASS` The JCAS cover class "{0}" could not be loaded.
    `static String` | `JCAS_MISSING_FIELD_ACCESSOR` JCas Class "{0}" is missing required field accessor, or access not permitted, for field "{1}" during {2} operation.
    `static String` | `JCAS_MISSING_GETTER` Cas class {0} with feature {1} but is mssing a 0 argument getter.
    `static String` | `JCAS_MISSING_TYPEINDEX` The Class "{0}" matches a UIMA Type, and is a subtype of uima.cas.TOP, but is missing the JCas typeIndexId.
    `static String` | `JCAS_OLDSTYLE_REF_TO_NONJCAS_TYPE` JCas is referencing via a JFSIterator or get method, a type, "{0}", which has no JCAS class model.
    `static String` | `JCAS_TYPE_NOT_IN_CAS` JCas type "{0}" used in Java code, but was not declared in the XML type descriptor.
    `static String` | `JCAS_TYPE_NOT_IN_CAS_REGISTRY` JCas type "{0}" defined in CAS type system and used in Java code, but was not registered in JCasRegistry.
    `static String` | `JCAS_TYPE_RANGE_MISMATCH` CAS type system type "{0}" defines field "{1}" with range "{2}", but JCas class has range "{3}".
    `static String` | `JCAS_UNKNOWN_TYPE_NOT_IN_CAS` Unknown JCas type used in Java code but was not declared or imported in the XML descriptor for this component.
    `static String` | `JCAS_UNSUPPORTED_OP_NOT_CAS` The method "{0}" is not supported by this JCAS because it is not associated with a CAS view of a CAS, but rather just with a base CAS.
    `static String` | `LENIENT_FORM_6_NO_TS` Deserializing Compressed Form 6 with CasLoadMode LENIENT, but no Type System provided.
    `static String` | `LENIENT_NOT_SUPPORTED` Lenient deserialization not support for input of type {0}.
    `static String` | `MULTIPLE_CREATE_MARKER` Multiple Create Marker call for a CAS
    `static String` | `NO_PRIMITIVE_TAIL` The feature path does not end in a primitive valued feature.
    `static String` | `NON_CREATABLE_TYPE` Can''t create FS of type "{0}" with this method.
    `static String` | `PRIMITIVE_VAL_FEAT` Trying to access value of feature "{0}" as feature structure, but is primitive type.
    `static String` | `PROTECTED_SOFA_FEATURE` Can''t use standard set methods with SofaFS features.
    `static String` | `SELECT_ALT_SRC_INVALID` Select with FSList or FSArray may not specify bounds, starting position, following, or preceding.
    `static String` | `SELECT_GET_NO_INSTANCES` CAS does not contain any ''{0}'' instances{1}.
    `static String` | `SELECT_GET_TOO_MANY_INSTANCES` CAS has more than 1 instance of ''{0}''{1}.
    `static String` | `SET_REF_FROM_STRING_NOT_SUPPORTED` Setting a reference value "{0}" from a string is not supported.
    `static String` | `SOFADATA_ALREADY_SET` Data for Sofa feature {0} has already been set.
    `static String` | `SOFADATASTREAM_ERROR` Error trying to open a stream to Sofa data.
    `static String` | `SOFANAME_ALREADY_EXISTS` A sofaFS with name {0} has already been created.
    `static String` | `SOFANAME_NOT_FOUND` No sofaFS with name {0} found.
    `static String` | `SOFAREF_NOT_FOUND` No sofaFS for specified sofaRef found.
    `static String` | `SOFAREF_NOT_SET` Sofa reference for FS {0} is required, but it is not set.
    `static String` | `SUBITERATOR_AMBIGUOUS_POSITION_DIFFERENT_TYPES` Subiterator {0} has bound type: {1}, begin: {2}, end: {3}, for coveredBy, not using type priorities, matching FS with same begin end and different type {4}, cannot order these
    `static String` | `SWITCH_CLASS_LOADER_NESTED` Multiply nested classloaders not supported.
    `static String` | `TYPE_NOT_IN_INDEX` Error accessing index "{0}" for type "{1}".
    `static String` | `TYPESYSTEM_NOT_LOCKED` Error accessing type system: the type system has not been committed.
    `static String` | `TYPESYSTEMS_NOT_COMMITTED` Type Systems must be committed before calling this method.
    `static String` | `UNKNOWN_CONSTRAINT_FEAT` Error applying FS constraint: no feature "{0}" in current type system.
    `static String` | `UNKNOWN_CONSTRAINT_TYPE` Error applying FS constraint: no type "{0}" in current type system.
    `static String` | `UNRECOGNIZED_SERIALIZED_CAS_FORMAT` Unrecognized serialized CAS format.

    - ### Fields inherited from class org.apache.uima.UIMARuntimeException

      `CAS_RELEASE_NOT_ALLOWED_WHILE_WAITING_FOR_UIMA_AS, CAS_RELEASED_TO_WRONG_CAS_MANAGER, COPY_CAS_RANGE_TYPE_NAMES_NOT_EQUAL, DEFINE_CAS_POOL_CALLED_TWICE, ECORE_UNRESOLVED_PROXY, FEATURE_NOT_FOUND_DURING_CAS_COPY, ILLEGAL_ADDING_OF_NEW_META_INFO_AFTER_CAS_DEFINED, ILLEGAL_CAS_COPY_TO_SAME_CAS, ILLEGAL_FS_FEAT_UPDATE, INCOMPATIBLE_TAF_JNI_LIBRARY, INTERNAL_ERROR, NOT_SUPPORTED_NO_HEAP_IN_UIMA_V3, REQUESTED_TOO_MANY_CAS_INSTANCES, RESULT_SPEC_NULL, STANDARD_MESSAGE_CATALOG, TYPE_NOT_FOUND_DURING_CAS_COPY, UIMA_CONTEXT_NULL, UIMA_ECORE_NOT_FOUND, UNSUPPORTED_CAS_COPY_TO_OR_FROM_BASE_CAS, UNSUPPORTED_CAS_INTERFACE, VIEW_NOT_PART_OF_CAS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CASRuntimeException()`
    `CASRuntimeException(String aMessageKey, Object... aArguments)`
    `CASRuntimeException(String aMessageKey, Object[] aArguments, Throwable aCause)`
    `CASRuntimeException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` This method cannot have variable arity, else, it gets called for args (String msgkey, Object ...
    `CASRuntimeException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)`
    `CASRuntimeException(Throwable aCause)`
    `CASRuntimeException(Throwable aCause, String aMessageKey, Object... aArguments)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMARuntimeException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Field Detail

    - #### NON_CREATABLE_TYPE

          public static final String NON_CREATABLE_TYPE

      Can''t create FS of type "{0}" with this method.
      See Also:
        Constant Field Values

    - #### ILLEGAL_ARRAY_SIZE

          public static final String ILLEGAL_ARRAY_SIZE

      Array size must be >= 0.
      See Also:
        Constant Field Values

    - #### INAPPROP_TYPE

          public static final String INAPPROP_TYPE

      Expected value of type "{0}", but found "{1}".
      See Also:
        Constant Field Values

    - #### INAPPROP_FEAT

          public static final String INAPPROP_FEAT

      Feature "{0}" is not defined for type "{1}".
      See Also:
        Constant Field Values

    - #### INAPPROP_FEAT_X

          public static final String INAPPROP_FEAT_X

      Feature is not defined for type.
      See Also:
        Constant Field Values

    - #### INAPPROP_RANGE

          public static final String INAPPROP_RANGE

      Trying to access value of feature "{0}" as "{1}", but range of feature is "{2}".
      See Also:
        Constant Field Values

    - #### INAPPROP_RANGE_NOT_FS

          public static final String INAPPROP_RANGE_NOT_FS

      Wrong access method "getFeatureValue" for a feature "{0}" in a FeatureStructure with type "{1}" whose range is "{2}" which is not a featureStructure.
      See Also:
        Constant Field Values

    - #### SET_REF_FROM_STRING_NOT_SUPPORTED

          public static final String SET_REF_FROM_STRING_NOT_SUPPORTED

      Setting a reference value "{0}" from a string is not supported.
      See Also:
        Constant Field Values

    - #### PRIMITIVE_VAL_FEAT

          public static final String PRIMITIVE_VAL_FEAT

      Trying to access value of feature "{0}" as feature structure, but is primitive type.
      See Also:
        Constant Field Values

    - #### TYPESYSTEM_NOT_LOCKED

          public static final String TYPESYSTEM_NOT_LOCKED

      Error accessing type system: the type system has not been committed.
      See Also:
        Constant Field Values

    - #### ADD_ARRAY_TYPE_AFTER_TS_COMMITTED

          public static final String ADD_ARRAY_TYPE_AFTER_TS_COMMITTED

      Can''t add an array type "{0}" to the type system after the type system has been committed.
      See Also:
        Constant Field Values

    - #### CREATE_FS_BEFORE_TS_COMMITTED

          public static final String CREATE_FS_BEFORE_TS_COMMITTED

      Can''t create FS of type "{0}" until the type system has been committed.
      See Also:
        Constant Field Values

    - #### GET_CLASS_FOR_TYPE_BEFORE_TS_COMMIT

          public static final String GET_CLASS_FOR_TYPE_BEFORE_TS_COMMIT

      Cannot request the Java Class for a UIMA type before type system commit
      See Also:
        Constant Field Values

    - #### ILLEGAL_STRING_VALUE

          public static final String ILLEGAL_STRING_VALUE

      Error setting string value: string "{0}" is not valid for a value of type "{1}".
      See Also:
        Constant Field Values

    - #### UNKNOWN_CONSTRAINT_TYPE

          public static final String UNKNOWN_CONSTRAINT_TYPE

      Error applying FS constraint: no type "{0}" in current type system.
      See Also:
        Constant Field Values

    - #### UNKNOWN_CONSTRAINT_FEAT

          public static final String UNKNOWN_CONSTRAINT_FEAT

      Error applying FS constraint: no feature "{0}" in current type system.
      See Also:
        Constant Field Values

    - #### CHILD_INDEX_OOB

          public static final String CHILD_INDEX_OOB

      Error accessing child node in tree, index out of range.
      See Also:
        Constant Field Values

    - #### JCAS_CAS_NOT_V3

          public static final String JCAS_CAS_NOT_V3

      JCas Class "{0}" is missing required constructor; likely cause is wrong version (UIMA version 3 or later JCas required).
      See Also:
        Constant Field Values

    - #### JCAS_ARRAY_NOT_SUPPORTED

          public static final String JCAS_ARRAY_NOT_SUPPORTED

      User-defined JCas classes for built-in Arrays not supported, class: {0}
      See Also:
        Constant Field Values

    - #### JCAS_MISSING_FIELD_ACCESSOR

          public static final String JCAS_MISSING_FIELD_ACCESSOR

      JCas Class "{0}" is missing required field accessor, or access not permitted, for field "{1}" during {2} operation.
      See Also:
        Constant Field Values

    - #### JCAS_CAS_MISMATCH

          public static final String JCAS_CAS_MISMATCH

      CAS type system doesn''t match JCas Type definition for type "{0}".
      See Also:
        Constant Field Values

    - #### JCAS_CAS_MISMATCH_SUPERTYPE

          public static final String JCAS_CAS_MISMATCH_SUPERTYPE

      JCas Class's supertypes for "{0}", "{1}" and the corresponding UIMA Supertypes for "{2}", "{3}" don't have an intersection.
      See Also:
        Constant Field Values

    - #### JCAS_MISMATCH_SUPERTYPE

          public static final String JCAS_MISMATCH_SUPERTYPE

      The JCas class: "{0}" has supertypes: "{1}" which do not match the UIMA type "{2}"''s supertypes "{3}".
      See Also:
        Constant Field Values

    - #### JCAS_TYPE_NOT_IN_CAS

          public static final String JCAS_TYPE_NOT_IN_CAS

      JCas type "{0}" used in Java code, but was not declared in the XML type descriptor.
      See Also:
        Constant Field Values

    - #### JCAS_TYPE_NOT_IN_CAS_REGISTRY

          public static final String JCAS_TYPE_NOT_IN_CAS_REGISTRY

      JCas type "{0}" defined in CAS type system and used in Java code, but was not registered in JCasRegistry.
      See Also:
        Constant Field Values

    - #### JCAS_TYPE_RANGE_MISMATCH

          public static final String JCAS_TYPE_RANGE_MISMATCH

      CAS type system type "{0}" defines field "{1}" with range "{2}", but JCas class has range "{3}".
      See Also:
        Constant Field Values

    - #### JCAS_FIELD_MISSING_IN_TYPE_SYSTEM

          public static final String JCAS_FIELD_MISSING_IN_TYPE_SYSTEM

      JCAS class "{0}" defines a UIMA field "{1}" but the UIMA type doesn''t define that field.
      See Also:
        Constant Field Values

    - #### JCAS_FIELD_ADJ_OFFSET_CHANGED

          public static final String JCAS_FIELD_ADJ_OFFSET_CHANGED

      In JCAS class "{0}", UIMA field "{1}" was set up at type system type adjusted offset "{2}" but a different type system being used with the same JCas class has this offset at "{3}", which is not allowed.
      See Also:
        Constant Field Values

    - #### JCAS_UNKNOWN_TYPE_NOT_IN_CAS

          public static final String JCAS_UNKNOWN_TYPE_NOT_IN_CAS

      Unknown JCas type used in Java code but was not declared or imported in the XML descriptor for this component.
      See Also:
        Constant Field Values

    - #### JCAS_ALPHA_LEVEL_NOT_SUPPORTED

          public static final String JCAS_ALPHA_LEVEL_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### JCAS_MISSING_GETTER

          public static final String JCAS_MISSING_GETTER

      Cas class {0} with feature {1} but is mssing a 0 argument getter. This feature will not be used to maybe expand the type's feature set.
      See Also:
        Constant Field Values

    - #### JCAS_GET_NTH_ON_EMPTY_LIST

          public static final String JCAS_GET_NTH_ON_EMPTY_LIST

      JCas getNthElement method called via invalid object - an empty list: {0}.
      See Also:
        Constant Field Values

    - #### JCAS_GET_NTH_NEGATIVE_INDEX

          public static final String JCAS_GET_NTH_NEGATIVE_INDEX

      JCas getNthElement method called with index "{0}" which is negative.
      See Also:
        Constant Field Values

    - #### JCAS_GET_NTH_PAST_END

          public static final String JCAS_GET_NTH_PAST_END

      JCas getNthElement method called with index "{0}" larger than the length of the list.
      See Also:
        Constant Field Values

    - #### JCAS_OLDSTYLE_REF_TO_NONJCAS_TYPE

          public static final String JCAS_OLDSTYLE_REF_TO_NONJCAS_TYPE

      JCas is referencing via a JFSIterator or get method, a type, "{0}", which has no JCAS class model. You must use FSIterator instead of JFSIterator.
      See Also:
        Constant Field Values

    - #### JCAS_MAKING_ABSTRACT_INSTANCE

          public static final String JCAS_MAKING_ABSTRACT_INSTANCE

      A CAS iterator or createFS call is trying to make an instance of type "{0}", but that type has been declared "abstract" in JCas, and no instances are allowed to be made.
      See Also:
        Constant Field Values

    - #### JCAS_UNSUPPORTED_OP_NOT_CAS

          public static final String JCAS_UNSUPPORTED_OP_NOT_CAS

      The method "{0}" is not supported by this JCAS because it is not associated with a CAS view of a CAS, but rather just with a base CAS.
      See Also:
        Constant Field Values

    - #### JCAS_MISSING_TYPEINDEX

          public static final String JCAS_MISSING_TYPEINDEX

      The Class "{0}" matches a UIMA Type, and is a subtype of uima.cas.TOP, but is missing the JCas typeIndexId.
      See Also:
        Constant Field Values

    - #### SOFANAME_ALREADY_EXISTS

          public static final String SOFANAME_ALREADY_EXISTS

      A sofaFS with name {0} has already been created.
      See Also:
        Constant Field Values

    - #### SOFADATA_ALREADY_SET

          public static final String SOFADATA_ALREADY_SET

      Data for Sofa feature {0} has already been set.
      See Also:
        Constant Field Values

    - #### SOFANAME_NOT_FOUND

          public static final String SOFANAME_NOT_FOUND

      No sofaFS with name {0} found.
      See Also:
        Constant Field Values

    - #### SOFAREF_NOT_FOUND

          public static final String SOFAREF_NOT_FOUND

      No sofaFS for specified sofaRef found.
      See Also:
        Constant Field Values

    - #### SOFAREF_NOT_SET

          public static final String SOFAREF_NOT_SET

      Sofa reference for FS {0} is required, but it is not set. This can happen during deserialization when the type system changes where this FeatureStructure''s type definition is now a subtype of uima.cas.AnnotationBase but was not when the serialized form was created.
      See Also:
        Constant Field Values

    - #### PROTECTED_SOFA_FEATURE

          public static final String PROTECTED_SOFA_FEATURE

      Can''t use standard set methods with SofaFS features.
      See Also:
        Constant Field Values

    - #### JCAS_MISSING_COVERCLASS

          public static final String JCAS_MISSING_COVERCLASS

      The JCAS cover class "{0}" could not be loaded.
      See Also:
        Constant Field Values

    - #### INVALID_FEATURE_PATH

          public static final String INVALID_FEATURE_PATH

      The feature path "{0}" is not valid.
      See Also:
        Constant Field Values

    - #### NO_PRIMITIVE_TAIL

          public static final String NO_PRIMITIVE_TAIL

      The feature path does not end in a primitive valued feature.
      See Also:
        Constant Field Values

    - #### BLOB_SERIALIZATION

          public static final String BLOB_SERIALIZATION

      Error trying to do binary serialization of CAS data and write the BLOB to an output stream.
      See Also:
        Constant Field Values

    - #### UNRECOGNIZED_SERIALIZED_CAS_FORMAT

          public static final String UNRECOGNIZED_SERIALIZED_CAS_FORMAT

      Unrecognized serialized CAS format.
      See Also:
        Constant Field Values

    - #### BLOB_DESERIALIZATION

          public static final String BLOB_DESERIALIZATION

      Error while deserializing binary CAS. {0}.
      See Also:
        Constant Field Values

    - #### LENIENT_FORM_6_NO_TS

          public static final String LENIENT_FORM_6_NO_TS

      Deserializing Compressed Form 6 with CasLoadMode LENIENT, but no Type System provided.
      See Also:
        Constant Field Values

    - #### SOFADATASTREAM_ERROR

          public static final String SOFADATASTREAM_ERROR

      Error trying to open a stream to Sofa data.
      See Also:
        Constant Field Values

    - #### INVALID_BASE_CAS_METHOD

          public static final String INVALID_BASE_CAS_METHOD

      Can''t call method "{0}" on the base CAS.
      See Also:
        Constant Field Values

    - #### ANNOTATION_IN_WRONG_INDEX

          public static final String ANNOTATION_IN_WRONG_INDEX

      Error - the Annotation "{0}" is over view "{1}" and cannot be added to indexes associated with the different view "{2}".
      See Also:
        Constant Field Values

    - #### TYPE_NOT_IN_INDEX

          public static final String TYPE_NOT_IN_INDEX

      Error accessing index "{0}" for type "{1}". Index "{0}" is over type "{2}", which is not a supertype of "{1}".
      See Also:
        Constant Field Values

    - #### DISALLOW_CREATE_ANNOTATION_IN_BASE_CAS

          public static final String DISALLOW_CREATE_ANNOTATION_IN_BASE_CAS

      The type "{0}", a subtype of AnnotationBase, can''t be created in the Base CAS.
      See Also:
        Constant Field Values

    - #### CANNOT_CLONE_SOFA

          public static final String CANNOT_CLONE_SOFA

      SofaFS may not be cloned.
      See Also:
        Constant Field Values

    - #### CAS_MISMATCH

          public static final String CAS_MISMATCH

      Mismatched CAS "{0}".
      See Also:
        Constant Field Values

    - #### DELTA_CAS_PREEXISTING_FS_DISALLOWED

          public static final String DELTA_CAS_PREEXISTING_FS_DISALLOWED

      Received pre-existing FS "{0}".
      See Also:
        Constant Field Values

    - #### INVALID_MARKER

          public static final String INVALID_MARKER

      Invalid Marker.
      See Also:
        Constant Field Values

    - #### MULTIPLE_CREATE_MARKER

          public static final String MULTIPLE_CREATE_MARKER

      Multiple Create Marker call for a CAS
      See Also:
        Constant Field Values

    - #### DESERIALIZING_BINARY_INVALID_HEADER

          public static final String DESERIALIZING_BINARY_INVALID_HEADER

      Deserializing Binary Header invalid
      See Also:
        Constant Field Values

    - #### DESERIALIZING_COMPRESSED_BINARY_UNSUPPORTED

          public static final String DESERIALIZING_COMPRESSED_BINARY_UNSUPPORTED

      Deserializing compressed binary other than form 4 not supported by this method
      See Also:
        Constant Field Values

    - #### DESERIALIZING_V2_DELTA_V3

          public static final String DESERIALIZING_V2_DELTA_V3

      Deserializing a Version 2 Delta Cas into UIMA Version 3 not supported.
      See Also:
        Constant Field Values

    - #### DEREF_FS_OTHER_CAS

          public static final String DEREF_FS_OTHER_CAS

      Dereferencing a FeatureStructure of a CAS in a different CAS's context. This can happen if you try to set a feature structure reference to a value of a feature structure belonging to an entirely different CAS.
      See Also:
        Constant Field Values

    - #### ILLEGAL_FEAT_SET

          public static final String ILLEGAL_FEAT_SET

      While FS was in the index, illegal attempt to modify Feature "{0}" which is used as a key in one or more indexes; FS = "{1}"
      See Also:
        Constant Field Values

    - #### LENIENT_NOT_SUPPORTED

          public static final String LENIENT_NOT_SUPPORTED

      Lenient deserialization not support for input of type {0}.
      See Also:
        Constant Field Values

    - #### ILLEGAL_TYPE_CHANGE

          public static final String ILLEGAL_TYPE_CHANGE

      ll_setIntValue call to change the type: new type "{0}" must be a subtype of existing type {1}.
      See Also:
        Constant Field Values

    - #### ILLEGAL_TYPE_CHANGE_IN_INDEX

          public static final String ILLEGAL_TYPE_CHANGE_IN_INDEX

      ll_setIntValue call to change the type, but the Feature Structure is in an index. New type: "{0}", existing type {1}.
      See Also:
        Constant Field Values

    - #### ILLEGAL_SOFAREF_MODIFICATION

          public static final String ILLEGAL_SOFAREF_MODIFICATION

      Sofa reference in AnnotationBase may not be modified
      See Also:
        Constant Field Values

    - #### INVALID_FS_ID

          public static final String INVALID_FS_ID

      The Feature Structure ID {0} is invalid.
      See Also:
        Constant Field Values

    - #### CAS_MISSING_FS

          public static final String CAS_MISSING_FS

      The CAS doesn't have a Feature Structure whose ID is {0}; it may have been garbage collected.
      See Also:
        Constant Field Values

    - #### TYPESYSTEMS_NOT_COMMITTED

          public static final String TYPESYSTEMS_NOT_COMMITTED

      Type Systems must be committed before calling this method.
      See Also:
        Constant Field Values

    - #### deserialized_type_not_found

          public static final String deserialized_type_not_found

      While deserializing, no type found for type code {0}.
      See Also:
        Constant Field Values

    - #### FS_NOT_MEMBER_OF_CAS

          public static final String FS_NOT_MEMBER_OF_CAS

      Feature Structure {0} belongs to CAS {1}, may not be set as the value of an array or list element in a different CAS {2}.
      See Also:
        Constant Field Values

    - #### ILLEGAL_ADD_TO_INDEX_IN_BASE_CAS

          public static final String ILLEGAL_ADD_TO_INDEX_IN_BASE_CAS

      Illegal operation - cannot add Feature Structure {0} to base Cas {1}.
      See Also:
        Constant Field Values

    - #### SWITCH_CLASS_LOADER_NESTED

          public static final String SWITCH_CLASS_LOADER_NESTED

      Multiply nested classloaders not supported. Original base loader: {0}, current nested loader: {1}, trying to switch to loader: {2}.
      See Also:
        Constant Field Values

    - #### SELECT_GET_NO_INSTANCES

          public static final String SELECT_GET_NO_INSTANCES

      CAS does not contain any ''{0}'' instances{1}.
      See Also:
        Constant Field Values

    - #### SELECT_GET_TOO_MANY_INSTANCES

          public static final String SELECT_GET_TOO_MANY_INSTANCES

      CAS has more than 1 instance of ''{0}''{1}.
      See Also:
        Constant Field Values

    - #### SELECT_ALT_SRC_INVALID

          public static final String SELECT_ALT_SRC_INVALID

      Select with FSList or FSArray may not specify bounds, starting position, following, or preceding.
      See Also:
        Constant Field Values

    - #### ANNOTATION_INDEX_REQUIRED

          public static final String ANNOTATION_INDEX_REQUIRED

      Index "{0}" must be an AnnotationIndex.
      See Also:
        Constant Field Values

    - #### SUBITERATOR_AMBIGUOUS_POSITION_DIFFERENT_TYPES

          public static final String SUBITERATOR_AMBIGUOUS_POSITION_DIFFERENT_TYPES

      Subiterator {0} has bound type: {1}, begin: {2}, end: {3}, for coveredBy, not using type priorities, matching FS with same begin end and different type {4}, cannot order these
      See Also:
        Constant Field Values

    - #### DESER_FORM_6_BAD_TYPE_CODE

          public static final String DESER_FORM_6_BAD_TYPE_CODE

      Deserializing Compressed Form 6, a type code: {0} has no corresponding type. currentFsId: {1} nbrFSs: {2} nextFsAddr: {3}
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CASRuntimeException

          public CASRuntimeException()

    - #### CASRuntimeException

          public CASRuntimeException(String aMessageKey,
                                     Object[] aArguments,
                                     Throwable aCause)

    - #### CASRuntimeException

          public CASRuntimeException(Throwable aCause,
                                     String aMessageKey,
                                     Object... aArguments)

    - #### CASRuntimeException

          public CASRuntimeException(String aMessageKey,
                                     Object... aArguments)

    - #### CASRuntimeException

          public CASRuntimeException(String aResourceBundleName,
                                     String aMessageKey,
                                     Object[] aArguments,
                                     Throwable aCause)

    - #### CASRuntimeException

          public CASRuntimeException(String aResourceBundleName,
                                     String aMessageKey,
                                     Object[] aArguments)

      This method cannot have variable arity, else, it gets called for args (String msgkey, Object ... args)
      Parameters:
        `aResourceBundleName` - the bundle name to use
        `aMessageKey` - the message key
        `aArguments` - arguments

    - #### CASRuntimeException

          public CASRuntimeException(Throwable aCause)

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.